DeepScan - Bug #934
Bug # 931 (Open): [User] [Authentication]

[User] [Authentication] [API] Forgot password
02/19/2025 08:06 AM - Truong Phan

Status: Implemented Start date: 02/19/2025
Priority: Normal Due date:

Assignee: Vu Thong % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

History

#1 - 02/20/2025 01:53 AM - Truong Phan

Flow:

@ User bdm nut forgot password thi hién thi man hinh nhap email, néu ding thi tao token (6 s&) & bang password_reset, néu sai thi théng bao email
khong ton tai

@ Hién thi man hinh nhap code dé€ reset password dong thoi guri token da tao vao budc 1 vao email cia user. Trén man hinh nay sé cé count down
dém nguoc 1 phit d& co thé glri lai token mai (phai co API khac delete t&t token cii). Ngoai ra thi mbi token sé& co thai gian s6ng 1a 10p, quéa han thi
token sé v6 hiéu

® User nhap code & budc 2, néu sai thi hién thj 16i m& code khéng ddng, néu dang thi hién thj théng bao thanh céng, redirect man hinh login va reset
password random va guri password dé téi email cla user.

#2 - 03/20/2025 04:29 AM - Vu Thong

- Status changed from Open to Implemented
